Difference between revisions of "Arch Add/fr"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "Category:Arch/fr")
(Updating to match new version of source page)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommand/fr|Name=Arch Add|Name/fr=Arch Addition|Workbenches=[[Arch Module/fr|Arch]]|MenuLocation=Arch → Add|SeeAlso=[[Arch Remove/fr|Arch Remove]]}}
 
{{GuiCommand/fr|Name=Arch Add|Name/fr=Arch Addition|Workbenches=[[Arch Module/fr|Arch]]|MenuLocation=Arch → Add|SeeAlso=[[Arch Remove/fr|Arch Remove]]}}
 +
</div>
  
 
==Description==  
 
==Description==  
Line 9: Line 11:
 
Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, en gardant toutes ses propriétés de base telle que la largeur et la hauteur.
 
Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, en gardant toutes ses propriétés de base telle que la largeur et la hauteur.
 
* Ajouter des composants '''Arch''', comme des [[Arch Wall/fr|murs]] [[File:Arch_Wall.png|16px]] ou des [[Arch Structure/fr|structures]] [[File:Arch_Structure.png|16px]], dans une [[Arch Cell/fr|cellule]] [[File:Arch_Cell.png|16px]] ou d'autres objets à base de cellules tels que les [[Arch Floor/fr|planchers]] [[File:Arch_Floor.png|16px]].
 
* Ajouter des composants '''Arch''', comme des [[Arch Wall/fr|murs]] [[File:Arch_Wall.png|16px]] ou des [[Arch Structure/fr|structures]] [[File:Arch_Structure.png|16px]], dans une [[Arch Cell/fr|cellule]] [[File:Arch_Cell.png|16px]] ou d'autres objets à base de cellules tels que les [[Arch Floor/fr|planchers]] [[File:Arch_Floor.png|16px]].
 +
 +
The counterpart of this tool is the [[Arch Remove]] tool.
  
 
[[Image:Arch Add example.jpg|640px]]
 
[[Image:Arch Add example.jpg|640px]]
 
+
<div class="mw-translate-fuzzy">
 
''Dans l'image ci-dessus, une boîte est ajoutée à un mur.''
 
''Dans l'image ci-dessus, une boîte est ajoutée à un mur.''
 +
</div>
  
 
==Utilisation==
 
==Utilisation==
  
 +
<div class="mw-translate-fuzzy">
 
# Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
 
# Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
 
# Cliquez sur le bouton {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}}
 
# Cliquez sur le bouton {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}}
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
==Script==
 
==Script==
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
L'outil {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}} peut être utilisé dans une [[macros/fr|macro]], ou dans la console '''Python''' en utilisant la fonction :
 
L'outil {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}} peut être utilisé dans une [[macros/fr|macro]], ou dans la console '''Python''' en utilisant la fonction :
 +
</div>
 
{{Code|code=
 
{{Code|code=
addComponents (objectsList,hostObject)  
+
addComponents(objectsList, host)
 
}}
 
}}
 +
 +
<div class="mw-translate-fuzzy">
 
*Ajoute les objets donnés comme des composants de l'objet hôte donné. S'utilise par exemple pour ajouter des fenêtres à un mur, ou un murs sur un niveau.
 
*Ajoute les objets donnés comme des composants de l'objet hôte donné. S'utilise par exemple pour ajouter des fenêtres à un mur, ou un murs sur un niveau.
 
* Retour : rien.
 
* Retour : rien.
 +
</div>
  
 
Exemple:
 
Exemple:
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Arch, Draft, Part
 
import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
+
 
wall = Arch.makeWall(line)
+
p1 = FreeCAD.Vector(0, 0, 0)
box = Part.makeBox(1,1,1)
+
p2 = FreeCAD.Vector(2000, 2000, 0)
Arch.addComponents(box,wall)
+
 
 +
Line = Draft.makeWire([p1, p2])
 +
Wall = Arch.makeWall(Line, width=150, height=2000)
 +
 
 +
p3 = FreeCAD.Vector(0, 2000, 0)
 +
p4 = FreeCAD.Vector(3000, 0, 0)
 +
 
 +
Line2 = Draft.makeWire([p3, p4])
 +
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
 +
FreeCAD.ActiveDocument.recompute()
 +
 
 +
Arch.addComponents(Wall2, Wall)
 +
FreeCAD.ActiveDocument.recompute()
 
}}
 
}}
  
 +
<div class="mw-translate-fuzzy">
 
[[Category:Arch/fr]]
 
[[Category:Arch/fr]]
 +
</div>

Revision as of 23:44, 22 January 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎

Arch Add.svg Arch Addition

Emplacement du menu
Arch → Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove


Description

L'outil Ajouter Arch Add.png vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un compososant Architecture, par exemple un mur Arch Wall.png ou une structure Arch Structure.png.

Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, en gardant toutes ses propriétés de base telle que la largeur et la hauteur.

The counterpart of this tool is the Arch Remove tool.

Arch Add example.jpg

Dans l'image ci-dessus, une boîte est ajoutée à un mur.

Utilisation

  1. Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
  2. Cliquez sur le bouton Ajouter Ajouter

Script

L'outil Ajouter Ajouter peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

addComponents(objectsList, host)
  • Ajoute les objets donnés comme des composants de l'objet hôte donné. S'utilise par exemple pour ajouter des fenêtres à un mur, ou un murs sur un niveau.
  • Retour : rien.

Exemple:

import FreeCAD, Arch, Draft, Part

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()